-- conditional death pits for SRB2Kart
-- kills players when entering a marked sector / fof
-- if they haven't reached a given checkpoint (range)
-- by minenice

local function DoKCPDeathPit(line, mo)
    if not mo.valid then return end
    if not mo.player then return end
    if mo.player.spectator then return end
    if mo.player.playerstate ~= PST_LIVE then return end

    -- local p = mo.player
    local mincp = line.frontside.textureoffset / FRACUNIT
    local maxcp = line.frontside.rowoffset / FRACUNIT
	
	if mincp > maxcp then
		mincp, maxcp = $2, $1
	end

    if mo.player.starpostnum > mincp and mo.player.starpostnum < maxcp then
        P_KillMobj(mo)
    end
end

addHook("LinedefExecute", DoKCPDeathPit, "CONDKILLKCP")